package idc.service.command;

import idc.model.*;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public class IdcDeffenceInfoUpdateCmd implements IdcCmd{
		
	public void execute(HttpServletRequest request, HttpServletResponse response){
		
		//페이징 기록
		String curPage = request.getParameter("curPage");
		if(curPage == null || curPage == "") curPage = "1";	
		
		String deffence_num = request.getParameter("deffence_num");
		String deffence_case = request.getParameter("deffence_case");
		String deffence_zone = request.getParameter("deffence_zone");
		String deffence_acl = request.getParameter("deffence_acl");
		String deffence_real = request.getParameter("deffence_real");
		String deffence_port = request.getParameter("deffence_port");
		String client_name = request.getParameter("client_name");
		String vpc_code = request.getParameter("vpc_code");
		String vpc_csip = request.getParameter("vpc_csip");
		String server_code = request.getParameter("server_code");
		String service_ip = request.getParameter("service_ip");
		String deffence_domain = request.getParameter("deffence_domain");
		String deffence_request_date = request.getParameter("deffence_request_date");
		String deffence_request_time = request.getParameter("deffence_request_time");
		String deffence_note = request.getParameter("deffence_note");
		
		
		
		String zone = request.getParameter("zone");
		String parents = request.getParameter("parents");
		String child = request.getParameter("child");
		
		request.setAttribute("zone", zone);
		request.setAttribute("parents", parents);
		request.setAttribute("child", child);
						
		
		
		request.setAttribute("deffence_num", deffence_num);
		request.setAttribute("deffence_case", deffence_case);
		request.setAttribute("deffence_zone", deffence_zone);
		request.setAttribute("deffence_acl", deffence_acl);
		request.setAttribute("deffence_real", deffence_real);
		request.setAttribute("deffence_port", deffence_port);
		request.setAttribute("client_name", client_name);
		request.setAttribute("vpc_code", vpc_code);
		request.setAttribute("vpc_csip", vpc_csip);
		request.setAttribute("server_code", server_code);
		request.setAttribute("service_ip", service_ip);
		request.setAttribute("deffence_domain", deffence_domain);
		request.setAttribute("deffence_request_date", deffence_request_date);
		request.setAttribute("deffence_request_time", deffence_request_time);
		request.setAttribute("deffence_note", deffence_note);
		request.setAttribute("curPage", curPage);				
	}
}